Bug 1263757 - Alignment of fusor-installer could be improved
Alignment of fusor-installer could be improved
Status: CLOSED CURRENTRELEASE
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
high Severity unspecified
: TP2
: 1.0
Assigned To: jkim
Tasos Papaioannou
: Triaged
Depends On:
Blocks: rhci-sprint-10
  Show dependency treegraph
 
Reported: 2015-09-16 11:27 EDT by Matt Reid
Modified: 2016-10-03 15:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-03 15:20:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example output showing alignment (47.42 KB, image/png)
2015-09-16 11:28 EDT, Matt Reid
no flags Details

  None (edit)
Description Matt Reid 2015-09-16 11:27:24 EDT
Description of problem:
The alignment in fusor-installer is off by a character, once we get to double-digit step numbers. If we accounted for that extra character in those steps, we could have everything lined up nicely.

The "Do not change bmc feature enabled" portion of the "Change BMC feature enabled" step doesn't fit in the space that everything else does, and pushes the alignment of that step off from the rest. If we adjusted the copy on that string to be shorter, it could potentially be aligned with everything else.

Version-Release number of selected component (if applicable):
Tech preview
Comment 1 Matt Reid 2015-09-16 11:28:03 EDT
Created attachment 1074080 [details]
Example output showing alignment
Comment 2 jkim 2015-10-29 16:55:36 EDT
Created a PR for this bug
https://github.com/fusor/fusor-installer/pull/34
Comment 3 jkim 2015-10-29 16:56:18 EDT
sample output can be viewed here
https://engineering.redhat.com/trac/RHCI/wiki/fusor_installer/user_prompt
Comment 4 John Matthews 2015-11-02 11:52:11 EST
Built in:  fusor-installer-0.0.14-22.el7
Comment 5 Tasos Papaioannou 2016-01-12 13:50:52 EST
VERIFIED on fusor-installer-0.0.14-23.el7

Note You need to log in before you can comment on or make changes to this bug.